Get All Menus

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Lightspeed Restaurant K-Series MCP server": {
  "url": "https://api-docs.lsk.lightspeed.app/mcp"
}
Close
GET /o/op/1/menu/list

Returns a list of menus for a given business location.

Query parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

Responses

  • 200 application/json

    Load menus

    Hide response attributes Show response attributes object
    • menuName string

      The name of the menu.

    • ikentooMenuId integer(int64)

      The unique identifier for the menu.

GET /o/op/1/menu/list
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/o/op/1/menu/list?businessLocationId=45454565682155' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "menuName": "Lunch Menu",
    "ikentooMenuId": 141948669132851
  }
]